<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>FFDataBaseAbstractType (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FFDataBaseAbstractType (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":9,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FFDataBaseAbstractType.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hwpf/model/types/DOPAbstractType.html"
               title="class in org.apache.poi.hwpf.model.types"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html"
               title="class in org.apache.poi.hwpf.model.types"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html"
               target="_top">Frames</a></li>
        <li><a href="FFDataBaseAbstractType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf.model.types</div>
    <h2 title="Class FFDataBaseAbstractType" class="title">Class FFDataBaseAbstractType</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hwpf.model.types.FFDataBaseAbstractType</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../../org/apache/poi/hwpf/model/FFDataBase.html"
                           title="class in org.apache.poi.hwpf.model">FFDataBase</a></dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
public abstract class <span class="typeNameLabel">FFDataBaseAbstractType</span>
extends java.lang.Object</pre>
                <div class="block">The FFData structure specifies form field data for a text
                    box, check box, or drop-down list box. <p>Class and fields
                        descriptions are quoted from [MS-DOC] -- v20121003 Word (.doc) Binary
                        File Format; Copyright (c) 2012 Microsoft Corporation; Release:
                        October 8, 2012

                    <p>
                        NOTE: This source is automatically generated please do not modify this file. Either subclass or
                        remove the record in src/types/definitions.
                    <p>
                        This class is internal. It content or properties may change without notice
                        due to changes in our knowledge of internal Microsoft Word binary structures.</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Sergey Vladimirov; according to [MS-DOC] -- v20121003 Word
                        (.doc) Binary File Format; Copyright (c) 2012 Microsoft Corporation;
                        Release: October 8, 2012
                    </dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#field_1_version">field_1_version</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#field_2_bits">field_2_bits</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#field_3_cch">field_3_cch</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#field_4_hps">field_4_hps</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#ITYPE_CHCK">ITYPE_CHCK</a></span></code>
                                    <div class="block">Specifies that the form field is a checkbox.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#ITYPE_DROP">ITYPE_DROP</a></span></code>
                                    <div class="block">Specifies that the form field is a dropdown list box.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#ITYPE_TEXT">ITYPE_TEXT</a></span></code>
                                    <div class="block">Specifies that the form field is a textbox.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#ITYPETXT_CALC">ITYPETXT_CALC</a></span></code>
                                    <div class="block">Specifies that the textbox value is calculated from an
                                        expression.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#ITYPETXT_CURDATE">ITYPETXT_CURDATE</a></span></code>
                                    <div class="block">Specifies that the textbox value is the current date.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#ITYPETXT_CURTIME">ITYPETXT_CURTIME</a></span></code>
                                    <div class="block">Specifies that the textbox value is the current time.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#ITYPETXT_DATE">ITYPETXT_DATE</a></span></code>
                                    <div class="block">Specifies that the textbox value is a date or time.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#ITYPETXT_NUM">ITYPETXT_NUM</a></span></code>
                                    <div class="block">Specifies that the textbox value is a number.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#ITYPETXT_REG">ITYPETXT_REG</a></span></code>
                                    <div class="block">Specifies that the textbox value is regular text.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#FFDataBaseAbstractType--">FFDataBaseAbstractType</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;obj)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#fillFields-byte:A-int-">fillFields</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#getBits--">getBits</a></span>()</code>
                                    <div class="block">An FFDataBits that specifies the type and state of this form
                                        field.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#getCch--">getCch</a></span>()</code>
                                    <div class="block">An unsigned integer that specifies the maximum length, in
                                        characters, of the value of the textbox.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#getHps--">getHps</a></span>()</code>
                                    <div class="block">An unsigned integer.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#getIRes--">getIRes</a></span>()</code>
                                    <div class="block">An unsigned integer.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#getIType--">getIType</a></span>()</code>
                                    <div class="block">An unsigned integer that specifies the type of the form field.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#getITypeTxt--">getITypeTxt</a></span>()</code>
                                    <div class="block">An unsigned integer that specifies the type of the textbox.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#getSize--">getSize</a></span>()</code>
                                    <div class="block">Size of record</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#getVersion--">getVersion</a></span>()</code>
                                    <div class="block">An unsigned integer that MUST be 0xFFFFFFFF.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#isFHasListBox--">isFHasListBox</a></span>()</code>
                                    <div class="block">A bit that specifies that the form field has a list box.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#isFOwnHelp--">isFOwnHelp</a></span>()</code>
                                    <div class="block">A bit that specifies whether the form field has custom help text
                                        in FFData.xstzHelpText.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#isFOwnStat--">isFOwnStat</a></span>()</code>
                                    <div class="block">A bit that specifies whether the form field has custom status bar
                                        text in FFData.xstzStatText.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#isFProt--">isFProt</a></span>()</code>
                                    <div class="block">A bit that specifies whether the form field is protected and its
                                        value cannot be changed.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#isFRecalc--">isFRecalc</a></span>()</code>
                                    <div class="block">A bit that specifies whether the value of the field is
                                        automatically calculated after the field is modified.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#isISize--">isISize</a></span>()</code>
                                    <div class="block">A bit that specifies whether the size of a checkbox is
                                        automatically determined by the text size where the checkbox is located.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#serialize--">serialize</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#serialize-byte:A-int-">serialize</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#setBits-short-">setBits</a></span>(short&nbsp;field_2_bits)</code>
                                    <div class="block">An FFDataBits that specifies the type and state of this form
                                        field.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#setCch-int-">setCch</a></span>(int&nbsp;field_3_cch)</code>
                                    <div class="block">An unsigned integer that specifies the maximum length, in
                                        characters, of the value of the textbox.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#setFHasListBox-boolean-">setFHasListBox</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Sets the fHasListBox field value.</div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#setFOwnHelp-boolean-">setFOwnHelp</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Sets the fOwnHelp field value.</div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#setFOwnStat-boolean-">setFOwnStat</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Sets the fOwnStat field value.</div>
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#setFProt-boolean-">setFProt</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Sets the fProt field value.</div>
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#setFRecalc-boolean-">setFRecalc</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Sets the fRecalc field value.</div>
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#setHps-int-">setHps</a></span>(int&nbsp;field_4_hps)</code>
                                    <div class="block">An unsigned integer.</div>
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#setIRes-byte-">setIRes</a></span>(byte&nbsp;value)</code>
                                    <div class="block">Sets the iRes field value.</div>
                                </td>
                            </tr>
                            <tr id="i28" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#setISize-boolean-">setISize</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Sets the iSize field value.</div>
                                </td>
                            </tr>
                            <tr id="i29" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#setIType-byte-">setIType</a></span>(byte&nbsp;value)</code>
                                    <div class="block">Sets the iType field value.</div>
                                </td>
                            </tr>
                            <tr id="i30" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#setITypeTxt-byte-">setITypeTxt</a></span>(byte&nbsp;value)</code>
                                    <div class="block">Sets the iTypeTxt field value.</div>
                                </td>
                            </tr>
                            <tr id="i31" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#setVersion-long-">setVersion</a></span>(long&nbsp;field_1_version)</code>
                                    <div class="block">An unsigned integer that MUST be 0xFFFFFFFF.</div>
                                </td>
                            </tr>
                            <tr id="i32" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="field_1_version">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>field_1_version</h4>
                                <pre>protected&nbsp;long field_1_version</pre>
                            </li>
                        </ul>
                        <a name="field_2_bits">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>field_2_bits</h4>
                                <pre>protected&nbsp;short field_2_bits</pre>
                            </li>
                        </ul>
                        <a name="ITYPE_TEXT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ITYPE_TEXT</h4>
                                <pre>public static final&nbsp;byte ITYPE_TEXT</pre>
                                <div class="block">Specifies that the form field is a textbox.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hwpf.model.types.FFDataBaseAbstractType.ITYPE_TEXT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ITYPE_CHCK">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ITYPE_CHCK</h4>
                                <pre>public static final&nbsp;byte ITYPE_CHCK</pre>
                                <div class="block">Specifies that the form field is a checkbox.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hwpf.model.types.FFDataBaseAbstractType.ITYPE_CHCK">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ITYPE_DROP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ITYPE_DROP</h4>
                                <pre>public static final&nbsp;byte ITYPE_DROP</pre>
                                <div class="block">Specifies that the form field is a dropdown list box.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hwpf.model.types.FFDataBaseAbstractType.ITYPE_DROP">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ITYPETXT_REG">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ITYPETXT_REG</h4>
                                <pre>public static final&nbsp;byte ITYPETXT_REG</pre>
                                <div class="block">Specifies that the textbox value is regular text.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hwpf.model.types.FFDataBaseAbstractType.ITYPETXT_REG">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ITYPETXT_NUM">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ITYPETXT_NUM</h4>
                                <pre>public static final&nbsp;byte ITYPETXT_NUM</pre>
                                <div class="block">Specifies that the textbox value is a number.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hwpf.model.types.FFDataBaseAbstractType.ITYPETXT_NUM">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ITYPETXT_DATE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ITYPETXT_DATE</h4>
                                <pre>public static final&nbsp;byte ITYPETXT_DATE</pre>
                                <div class="block">Specifies that the textbox value is a date or time.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hwpf.model.types.FFDataBaseAbstractType.ITYPETXT_DATE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ITYPETXT_CURDATE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ITYPETXT_CURDATE</h4>
                                <pre>public static final&nbsp;byte ITYPETXT_CURDATE</pre>
                                <div class="block">Specifies that the textbox value is the current date.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hwpf.model.types.FFDataBaseAbstractType.ITYPETXT_CURDATE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ITYPETXT_CURTIME">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ITYPETXT_CURTIME</h4>
                                <pre>public static final&nbsp;byte ITYPETXT_CURTIME</pre>
                                <div class="block">Specifies that the textbox value is the current time.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hwpf.model.types.FFDataBaseAbstractType.ITYPETXT_CURTIME">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ITYPETXT_CALC">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ITYPETXT_CALC</h4>
                                <pre>protected static final&nbsp;byte ITYPETXT_CALC</pre>
                                <div class="block">Specifies that the textbox value is calculated from an expression.
                                    The expression is given by FFData.xstzTextDef.
                                </div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hwpf.model.types.FFDataBaseAbstractType.ITYPETXT_CALC">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="field_3_cch">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>field_3_cch</h4>
                                <pre>protected&nbsp;int field_3_cch</pre>
                            </li>
                        </ul>
                        <a name="field_4_hps">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>field_4_hps</h4>
                                <pre>protected&nbsp;int field_4_hps</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="FFDataBaseAbstractType--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>FFDataBaseAbstractType</h4>
                                <pre>protected&nbsp;FFDataBaseAbstractType()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="fillFields-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fillFields</h4>
                                <pre>protected&nbsp;void&nbsp;fillFields(byte[]&nbsp;data,
                          int&nbsp;offset)</pre>
                            </li>
                        </ul>
                        <a name="serialize-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>serialize</h4>
                                <pre>public&nbsp;void&nbsp;serialize(byte[]&nbsp;data,
                      int&nbsp;offset)</pre>
                            </li>
                        </ul>
                        <a name="serialize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>serialize</h4>
                                <pre>public&nbsp;byte[]&nbsp;serialize()</pre>
                            </li>
                        </ul>
                        <a name="getSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSize</h4>
                                <pre>public static&nbsp;int&nbsp;getSize()</pre>
                                <div class="block">Size of record</div>
                            </li>
                        </ul>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;obj)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getVersion--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getVersion</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;long&nbsp;getVersion()</pre>
                                <div class="block">An unsigned integer that MUST be 0xFFFFFFFF.</div>
                            </li>
                        </ul>
                        <a name="setVersion-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setVersion</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setVersion(long&nbsp;field_1_version)</pre>
                                <div class="block">An unsigned integer that MUST be 0xFFFFFFFF.</div>
                            </li>
                        </ul>
                        <a name="getBits--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBits</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;short&nbsp;getBits()</pre>
                                <div class="block">An FFDataBits that specifies the type and state of this form field.
                                </div>
                            </li>
                        </ul>
                        <a name="setBits-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBits</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setBits(short&nbsp;field_2_bits)</pre>
                                <div class="block">An FFDataBits that specifies the type and state of this form field.
                                </div>
                            </li>
                        </ul>
                        <a name="getCch--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCch</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;int&nbsp;getCch()</pre>
                                <div class="block">An unsigned integer that specifies the maximum length, in characters,
                                    of the value of the textbox. This value MUST NOT exceed 32767. A value of 0 means
                                    there is no maximum length of the value of the textbox. If bits.iType is not
                                    iTypeText (0), this value MUST be 0..
                                </div>
                            </li>
                        </ul>
                        <a name="setCch-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCch</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setCch(int&nbsp;field_3_cch)</pre>
                                <div class="block">An unsigned integer that specifies the maximum length, in characters,
                                    of the value of the textbox. This value MUST NOT exceed 32767. A value of 0 means
                                    there is no maximum length of the value of the textbox. If bits.iType is not
                                    iTypeText (0), this value MUST be 0..
                                </div>
                            </li>
                        </ul>
                        <a name="getHps--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHps</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;int&nbsp;getHps()</pre>
                                <div class="block">An unsigned integer. If bits.iType is iTypeChck (1), hps specifies
                                    the size, in half-points, of the checkbox and MUST be between 2 and 3168, inclusive.
                                    If bits.iType is not iTypeChck (1), hps is undefined and MUST be ignored..
                                </div>
                            </li>
                        </ul>
                        <a name="setHps-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHps</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setHps(int&nbsp;field_4_hps)</pre>
                                <div class="block">An unsigned integer. If bits.iType is iTypeChck (1), hps specifies
                                    the size, in half-points, of the checkbox and MUST be between 2 and 3168, inclusive.
                                    If bits.iType is not iTypeChck (1), hps is undefined and MUST be ignored..
                                </div>
                            </li>
                        </ul>
                        <a name="setIType-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIType</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setIType(byte&nbsp;value)</pre>
                                <div class="block">Sets the iType field value.
                                    An unsigned integer that specifies the type of the form field.
                                </div>
                            </li>
                        </ul>
                        <a name="getIType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIType</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;byte&nbsp;getIType()</pre>
                                <div class="block">An unsigned integer that specifies the type of the form field.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the iType field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setIRes-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIRes</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setIRes(byte&nbsp;value)</pre>
                                <div class="block">Sets the iRes field value.
                                    An unsigned integer. If iType is iTypeText (0), then iRes MUST be 0. If iType is
                                    iTypeChck (1), iRes specifies the state of the checkbox and MUST be 0 (unchecked), 1
                                    (checked), or 25 (undefined). Undefined checkboxes are treated as unchecked. If
                                    iType is iTypeDrop (2), iRes specifies the current selected list box item. A value
                                    of 25 specifies the selection is undefined. Otherwise, iRes is a zero-based index
                                    into FFData.hsttbDropList.
                                </div>
                            </li>
                        </ul>
                        <a name="getIRes--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIRes</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;byte&nbsp;getIRes()</pre>
                                <div class="block">An unsigned integer. If iType is iTypeText (0), then iRes MUST be 0.
                                    If iType is iTypeChck (1), iRes specifies the state of the checkbox and MUST be 0
                                    (unchecked), 1 (checked), or 25 (undefined). Undefined checkboxes are treated as
                                    unchecked. If iType is iTypeDrop (2), iRes specifies the current selected list box
                                    item. A value of 25 specifies the selection is undefined. Otherwise, iRes is a
                                    zero-based index into FFData.hsttbDropList.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the iRes field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFOwnHelp-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFOwnHelp</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setFOwnHelp(boolean&nbsp;value)</pre>
                                <div class="block">Sets the fOwnHelp field value.
                                    A bit that specifies whether the form field has custom help text in
                                    FFData.xstzHelpText. If fOwnHelp is 0, FFData.xstzHelpText contains an empty or
                                    auto-generated string.
                                </div>
                            </li>
                        </ul>
                        <a name="isFOwnHelp--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFOwnHelp</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;boolean&nbsp;isFOwnHelp()</pre>
                                <div class="block">A bit that specifies whether the form field has custom help text in
                                    FFData.xstzHelpText. If fOwnHelp is 0, FFData.xstzHelpText contains an empty or
                                    auto-generated string.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the fOwnHelp field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFOwnStat-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFOwnStat</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setFOwnStat(boolean&nbsp;value)</pre>
                                <div class="block">Sets the fOwnStat field value.
                                    A bit that specifies whether the form field has custom status bar text in
                                    FFData.xstzStatText. If fOwnStat is 0, FFData.xstzStatText contains an empty or
                                    auto-generated string.
                                </div>
                            </li>
                        </ul>
                        <a name="isFOwnStat--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFOwnStat</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;boolean&nbsp;isFOwnStat()</pre>
                                <div class="block">A bit that specifies whether the form field has custom status bar
                                    text in FFData.xstzStatText. If fOwnStat is 0, FFData.xstzStatText contains an empty
                                    or auto-generated string.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the fOwnStat field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFProt-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFProt</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setFProt(boolean&nbsp;value)</pre>
                                <div class="block">Sets the fProt field value.
                                    A bit that specifies whether the form field is protected and its value cannot be
                                    changed.
                                </div>
                            </li>
                        </ul>
                        <a name="isFProt--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFProt</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;boolean&nbsp;isFProt()</pre>
                                <div class="block">A bit that specifies whether the form field is protected and its
                                    value cannot be changed.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the fProt field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setISize-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setISize</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setISize(boolean&nbsp;value)</pre>
                                <div class="block">Sets the iSize field value.
                                    A bit that specifies whether the size of a checkbox is automatically determined by
                                    the text size where the checkbox is located. This value MUST be 0 if iType is not
                                    iTypeChck (1).
                                </div>
                            </li>
                        </ul>
                        <a name="isISize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isISize</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;boolean&nbsp;isISize()</pre>
                                <div class="block">A bit that specifies whether the size of a checkbox is automatically
                                    determined by the text size where the checkbox is located. This value MUST be 0 if
                                    iType is not iTypeChck (1).
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the iSize field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setITypeTxt-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setITypeTxt</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setITypeTxt(byte&nbsp;value)</pre>
                                <div class="block">Sets the iTypeTxt field value.
                                    An unsigned integer that specifies the type of the textbox. If iType is not
                                    iTypeText (0), iTypeTxt MUST be 0 and MUST be ignored.
                                </div>
                            </li>
                        </ul>
                        <a name="getITypeTxt--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getITypeTxt</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;byte&nbsp;getITypeTxt()</pre>
                                <div class="block">An unsigned integer that specifies the type of the textbox. If iType
                                    is not iTypeText (0), iTypeTxt MUST be 0 and MUST be ignored.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the iTypeTxt field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFRecalc-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFRecalc</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setFRecalc(boolean&nbsp;value)</pre>
                                <div class="block">Sets the fRecalc field value.
                                    A bit that specifies whether the value of the field is automatically calculated
                                    after the field is modified.
                                </div>
                            </li>
                        </ul>
                        <a name="isFRecalc--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFRecalc</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;boolean&nbsp;isFRecalc()</pre>
                                <div class="block">A bit that specifies whether the value of the field is automatically
                                    calculated after the field is modified.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the fRecalc field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFHasListBox-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFHasListBox</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setFHasListBox(boolean&nbsp;value)</pre>
                                <div class="block">Sets the fHasListBox field value.
                                    A bit that specifies that the form field has a list box. This value MUST be 1 if
                                    iType is iTypeDrop (2). Otherwise, this value MUST be 0.
                                </div>
                            </li>
                        </ul>
                        <a name="isFHasListBox--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>isFHasListBox</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;boolean&nbsp;isFHasListBox()</pre>
                                <div class="block">A bit that specifies that the form field has a list box. This value
                                    MUST be 1 if iType is iTypeDrop (2). Otherwise, this value MUST be 0.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the fHasListBox field value.</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FFDataBaseAbstractType.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hwpf/model/types/DOPAbstractType.html"
               title="class in org.apache.poi.hwpf.model.types"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html"
               title="class in org.apache.poi.hwpf.model.types"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html"
               target="_top">Frames</a></li>
        <li><a href="FFDataBaseAbstractType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
